| Irrlicht 3D Engine |

Public Member Functions | Protected Attributes
irr::scene::IParticleAffector Class Reference

A particle affector modifies particles. More...

`#include <IParticleAffector.h>`

Inheritance diagram for irr::scene::IParticleAffector:

List of all members.

## Public Member Functions

- IParticleAffector ()
    constructor
- virtual void affect (u32 now, SParticle *particlearray, u32 count)=0
    Affects an array of particles.
- virtual bool getEnabled () const
    Gets whether or not the affector is currently enabled.
- virtual E_PARTICLE_AFFECTOR_TYPE getType () const =0
    Get emitter type.
- virtual void setEnabled (bool enabled)
    Sets whether or not the affector is currently enabled.

## Protected Attributes

- bool Enabled

## Detailed Description

A particle affector modifies particles.

Definition at line 41 of file IParticleAffector.h.

## Constructor & Destructor Documentation

irr::scene::IParticleAffector::IParticleAffector | ( |  | ) | `[inline]`

constructor

Definition at line 46 of file IParticleAffector.h.

## Member Function Documentation

virtual void irr::scene::IParticleAffector::affect | ( | u32 | now,
|  | SParticle * | particlearray,
|  | u32 | count
| ) |  | `[pure virtual]`

Affects an array of particles.

Parameters:

  now | Current time. (Same as ITimer::getTime() would return)
  particlearray | Array of particles.
  count | Amount of particles in array.

virtual bool irr::scene::IParticleAffector::getEnabled | ( |  | ) | const`[inline, virtual]`

Gets whether or not the affector is currently enabled.

Definition at line 58 of file IParticleAffector.h.

References Enabled.

virtual E_PARTICLE_AFFECTOR_TYPE irr::scene::IParticleAffector::getType | ( |  | ) | const`[pure virtual]`

Get emitter type.

Implemented in irr::scene::IParticleAttractionAffector, irr::scene::IParticleGravityAffector, irr::scene::IParticleFadeOutAffector, and irr::scene::IParticleRotationAffector.

virtual void irr::scene::IParticleAffector::setEnabled | ( | bool | enabled | ) | `[inline, virtual]`

Sets whether or not the affector is currently enabled.

Definition at line 55 of file IParticleAffector.h.

References Enabled.

## Member Data Documentation

bool irr::scene::IParticleAffector::Enabled `[protected]`

Definition at line 64 of file IParticleAffector.h.

Referenced by getEnabled(), and setEnabled().

The documentation for this class was generated from the following file:

- IParticleAffector.h